Package com.destroystokyo.paper.event.server

# Interface AsyncTabCompleteEvent.Completion

All Superinterfaces:
  `net.kyori.examination.Examinable`

Enclosing class:
  AsyncTabCompleteEvent

public static interface AsyncTabCompleteEvent.Completion extends net.kyori.examination.Examinable
A rich tab completion, consisting of a string suggestion, and a nullable `Component` tooltip.

## Method Summary

Modifier and Type
Method
Description
`static @NotNull AsyncTabCompleteEvent.Completion`
`completion(@NotNull String suggestion)`
Create a new `AsyncTabCompleteEvent.Completion` from a suggestion string.
`static @NotNull AsyncTabCompleteEvent.Completion`
`completion(@NotNull String suggestion, @Nullable Component tooltip)`
Create a new `AsyncTabCompleteEvent.Completion` from a suggestion string and a tooltip `Component`.
`default @NotNull Stream<? extends net.kyori.examination.ExaminableProperty>`
`examinableProperties()`
`@NotNull String`
`suggestion()`
Get the suggestion string for this `AsyncTabCompleteEvent.Completion`.
`@Nullable Component`
`tooltip()`
Get the suggestion tooltip for this `AsyncTabCompleteEvent.Completion`.

### Methods inherited from interface net.kyori.examination.Examinable

`examinableName, examine`

## Method Details

### suggestion

@NotNull @NotNull String suggestion()
Get the suggestion string for this `AsyncTabCompleteEvent.Completion`.

Returns:
  suggestion string

### tooltip

@Nullable @Nullable Component tooltip()
Get the suggestion tooltip for this `AsyncTabCompleteEvent.Completion`.

Returns:
  tooltip component

### examinableProperties

@NotNull default @NotNull Stream<? extends net.kyori.examination.ExaminableProperty> examinableProperties()

Specified by:
  `examinableProperties` in interface `net.kyori.examination.Examinable`

### completion

@NotNull static @NotNull AsyncTabCompleteEvent.Completion completion(@NotNull @NotNull String suggestion)
Create a new `AsyncTabCompleteEvent.Completion` from a suggestion string.

Parameters:
  `suggestion` - suggestion string
Returns:
  new completion instance

### completion

@NotNull static @NotNull AsyncTabCompleteEvent.Completion completion(@NotNull @NotNull String suggestion, @Nullable @Nullable Component tooltip)
Create a new `AsyncTabCompleteEvent.Completion` from a suggestion string and a tooltip `Component`.

If the provided component is null, the suggestion will not have a tooltip.

Parameters:
  `suggestion` - suggestion string
  `tooltip` - tooltip component, or null
Returns:
  new completion instance